import { post } from "@/request/axios.js";

export const getHiddenCount = (params) =>
  post("/hidden/getCountByUserId", params); // 隐患数量
export const getMemoryUsage = (params) =>
  post("/service/notice/getMemoryUsage", params); // 储存空间
export const getListCheckType = (params) =>
  post("/listmanager/goIndexCount", params); // 清单检查类型统计
export const getChecklistCheck = (params) =>
  post("/checkrecord/goIndexCount", params); // 清单检查完成率统计
export const getPlatformAnnouncement = (params) =>
  post("/service/notice/listByIndex", params); // 平台公告
export const getCorporateAnnouncement = (params) =>
  post("/noticecorp/listByIndex", params); // 企业公告
export const getPlatformAnnouncementView = (params) =>
  post("/service/notice/goEdit", params); // 平台公告查看
export const getCorporateAnnouncementView = (params) =>
  post("/noticecorp/goEdit", params); // 企业公告查看
export const getCalendar = (params) => post("/schedule/getData", params); // 日历
export const getCalendarAdd = (params) => post("/schedule/add", params); // 日历添加
export const getCalendarEdit = (params) => post("/schedule/edit", params); // 日历修改
export const getWorkReminder = (params) =>
  post("/listmanager/checkListIndex", params); // 工作提醒
